part of 'notification_bloc.dart';

class NotificationsStateData {
  final List<NotificationData> notifications;

  NotificationsStateData({
    this.notifications = const [],
  });

  NotificationsStateData copyWith({
    List<NotificationData>? newNotis,
  }) =>
      NotificationsStateData(
        notifications: newNotis ?? this.notifications,
      );
}

abstract class NotificationsState {
  final NotificationsStateData data;

  NotificationsState(this.data);
}

class InitialState extends NotificationsState {
  InitialState(super.data);
}

class LoadingState extends NotificationsState {
  LoadingState(super.data);
}

class GetNotificationsSuccessState extends NotificationsState {
  GetNotificationsSuccessState(super.data);
}

class GetNotificationsFailState extends NotificationsState {
  GetNotificationsFailState(super.data);
}

class SelectedNotificationState extends NotificationsState {
  SelectedNotificationState(super.data);
}
